/*******************************************************************************
 *
 *		T O K E N . H
 *		-------------
 *
 * Description:
 *	Includefile for token routines.
 *
 * Revision:
 *	Ver    Date     By		Reason
 *	---    ----     --		------
 *	1.00   900619	Lars Berntzon	Created
 *
 ******************************************************************************/


	/* D e f i n i t i o n s */

#define TOKENSIZE 200		/* Maximal size of a token		      */


	/* G l o b a l   v a r i a b l e s */

extern int newline;		/* Number of newlines before this token       */
extern int line;		/* Current line number			      */
extern FILE *in;		/* Input file set by OpenTok()		      */


	/* G l o b a l   f u n c t i o n s */

extern char *GetTok(char *token);	/* Get one token		      */
extern char *GetTokNC(char *token);	/* Get token but skip comment	      */
extern void UnGetTok(char *token);	/* Push back one token		      */
extern FILE *OpenTok(char *filename);	/* Open file for input		     */
