/******************************************************************************
 *
 *			C O N F I G . H
 *			---------------
 *
 * Description:
 *	Configuration file for setting up switches depending
 *	of machine type.
 * 
 * Revision:
 *	Ver	Date	By		Reason
 *	---	----	--		------
 *	1.00	900815	Lars Berntzon	Created
 *
 ****************************************************************************/
#ifndef _CONFIG_H
#define _CONFIG_H

#ifdef SYS_AMIGA
#define STDLIB_H
#define VOID_MAIN
#endif

#ifdef SYS_SYSV
#define SIGNAL_TYPE void(*)()
#define TERMIOS
#define MALLOC_H
#endif

#ifndef SIGNAL_TYPE
#define SIGNAL_TYPE void(*)()
#endif
#endif /* _CONFIG_H */
